var search_data = {"index":{"searchIndex":["stellar","account","accountentry","ext","accountentryextensionv1","ext","accountentryextensionv2","ext","accountflags","accountid","accountmergeresult","accountmergeresultcode","allowtrustop","allowtrustresult","allowtrustresultcode","asset","alphanum12","alphanum4","assetcode","assettype","auth","authcert","authenticatedmessage","v0","beginsponsoringfuturereservesop","beginsponsoringfuturereservesresult","beginsponsoringfuturereservesresultcode","bucketentry","bucketentrytype","bucketmetadata","ext","bumpsequenceop","bumpsequenceresult","bumpsequenceresultcode","changetrustop","changetrustresult","changetrustresultcode","claimclaimablebalanceop","claimclaimablebalanceresult","claimclaimablebalanceresultcode","claimofferatom","claimpredicate","factorymethods","claimpredicatetype","claimablebalanceentry","ext","claimablebalanceentryextensionv1","ext","claimablebalanceflags","claimablebalanceid","claimablebalanceidtype","claimant","v0","claimanttype","clawbackclaimablebalanceop","clawbackclaimablebalanceresult","clawbackclaimablebalanceresultcode","clawbackop","clawbackresult","clawbackresultcode","concerns","transaction","convert","createaccountop","createaccountresult","createaccountresultcode","createclaimablebalanceop","createclaimablebalanceresult","createclaimablebalanceresultcode","createpassivesellofferop","cryptokeytype","curve25519public","curve25519secret","dsl","dataentry","ext","decoratedsignature","donthave","endsponsoringfuturereservesresult","endsponsoringfuturereservesresultcode","envelopetype","error","errorcode","feebumptransaction","ext","innertx","feebumptransactionenvelope","hello","hmacsha256key","hmacsha256mac","ipaddrtype","inflationpayout","inflationresult","inflationresultcode","innertransactionresult","ext","result","innertransactionresultpair","keypair","factorymethods","ledgerclosemeta","ledgerclosemetav0","ledgerclosevaluesignature","ledgerentry","data","ext","ledgerentrychange","ledgerentrychangetype","ledgerentryextensionv1","ext","ledgerentrytype","ledgerheader","ext","ledgerheaderhistoryentry","ext","ledgerkey","account","claimablebalance","data","offer","trustline","ledgerscpmessages","ledgerupgrade","ledgerupgradetype","liabilities","managebuyofferop","managebuyofferresult","managebuyofferresultcode","managedataop","managedataresult","managedataresultcode","manageoffereffect","manageoffersuccessresult","offer","managesellofferop","managesellofferresult","managesellofferresultcode","memo","memotype","messagetype","muxedaccount","med25519","networks","offerentry","ext","offerentryflags","operation","body","operationid","id","operationmeta","operationresult","tr","operationresultcode","operationtype","pathpaymentstrictreceiveop","pathpaymentstrictreceiveresult","success","pathpaymentstrictreceiveresultcode","pathpaymentstrictsendop","pathpaymentstrictsendresult","success","pathpaymentstrictsendresultcode","paymentop","paymentresult","paymentresultcode","peeraddress","ip","peerstats","price","publickey","publickeytype","revokesponsorshipop","signer","revokesponsorshipresult","revokesponsorshipresultcode","revokesponsorshiptype","scpballot","scpenvelope","scphistoryentry","scphistoryentryv0","scpnomination","scpquorumset","scpstatement","pledges","confirm","externalize","prepare","scpstatementtype","setoptionsop","setoptionsresult","setoptionsresultcode","settrustlineflagsop","settrustlineflagsresult","settrustlineflagsresultcode","signedsurveyrequestmessage","signedsurveyresponsemessage","signer","signerkey","signerkeytype","simplepaymentresult","stellarmessage","stellarvalue","ext","stellarvaluetype","surveymessagecommandtype","surveyrequestmessage","surveyresponsebody","surveyresponsemessage","thresholdindexes","thresholds","timebounds","topologyresponsebody","transaction","ext","transactionbuilder","transactionenvelope","transactionhistoryentry","ext","transactionhistoryresultentry","ext","transactionmeta","transactionmetav1","transactionmetav2","transactionresult","ext","result","transactionresultcode","transactionresultmeta","transactionresultpair","transactionresultset","transactionset","transactionsignaturepayload","taggedtransaction","transactionv0","ext","transactionv0envelope","transactionv1envelope","trustlineentry","ext","v1","ext","trustlineflags","upgradeentrymeta","util","strkey","&()","account()","asset()","claimpredicate()","claimant()","keypair()","signerkey()","account_id()","account_merge()","add_operation()","address()","address()","address()","after()","allow_trust()","alphanum12()","alphanum4()","and()","apply_defaults()","base_account()","before()","before_absolute_time()","before_relative_time()","begin_sponsoring_future_reserves()","build()","build_fee_bump()","bump_sequence()","change_trust()","check_decode()","check_encode()","checksum()","claim_claimable_balance()","clawback()","clawback_claimable_balance()","clear_operations()","code()","compose()","create_account()","create_claimable_balance()","create_passive_offer()","create_passive_sell_offer()","current_network()","current_network_id()","decode_muxed_account()","describe()","ed25519()","encode_muxed_account()","end_sponsoring_future_reserves()","evaluate()","from()","from_address()","from_address()","from_base64()","from_f()","from_hex()","from_network_passphrase()","from_public_key()","from_raw_seed()","from_seed()","from_seed()","get_asset_amount()","hash()","hash_x()","inflation()","inspect()","inspect()","inspect()","inspect()","interpret_amount()","interpret_price()","invert()","issuer()","make()","make()","make_mask()","make_mask()","make_memo()","manage_buy_offer()","manage_data()","manage_offer()","manage_sell_offer()","master()","master()","merge()","merge()","method_missing()","muxed_account()","muxed_account()","native()","new()","new()","new()","normalize()","normalize_code()","not()","on_network()","or()","parse()","parse_mask()","parse_mask()","path_payment()","path_payment_strict_receive()","path_payment_strict_send()","payment()","pk_to_address()","preauthorized_transaction()","public_key()","random()","random()","raw_public_key()","raw_seed()","rbnacl_signing_key()","rbnacl_verify_key()","respond_to_missing?()","revoke_sponsorship()","seed()","send_amount()","set_base_fee()","set_clear_masks()","set_memo()","set_options()","set_sequence_number()","set_source_account()","set_timeout()","set_trust_line_flags()","sign()","sign()","sign?()","sign_decorated()","sign_decorated()","signature_base()","signature_base()","signature_base()","signature_base_prefix()","signature_base_prefix()","signature_hint()","signature_hint()","signed_correctly?()","signer_key()","source_account()","source_account()","source_muxed_account()","switch_for_arm()","to_base64()","to_d()","to_envelope()","to_envelope()","to_envelope()","to_f()","to_hex()","to_keypair()","to_keypair()","to_keypair()","to_operations()","to_s()","to_s()","to_s()","to_v0()","to_v1()","unconditional()","verify()","with_muxed_accounts?()","|()","~@()","changelog","license","readme"],"longSearchIndex":["stellar","stellar::account","stellar::accountentry","stellar::accountentry::ext","stellar::accountentryextensionv1","stellar::accountentryextensionv1::ext","stellar::accountentryextensionv2","stellar::accountentryextensionv2::ext","stellar::accountflags","stellar::accountid","stellar::accountmergeresult","stellar::accountmergeresultcode","stellar::allowtrustop","stellar::allowtrustresult","stellar::allowtrustresultcode","stellar::asset","stellar::asset::alphanum12","stellar::asset::alphanum4","stellar::assetcode","stellar::assettype","stellar::auth","stellar::authcert","stellar::authenticatedmessage","stellar::authenticatedmessage::v0","stellar::beginsponsoringfuturereservesop","stellar::beginsponsoringfuturereservesresult","stellar::beginsponsoringfuturereservesresultcode","stellar::bucketentry","stellar::bucketentrytype","stellar::bucketmetadata","stellar::bucketmetadata::ext","stellar::bumpsequenceop","stellar::bumpsequenceresult","stellar::bumpsequenceresultcode","stellar::changetrustop","stellar::changetrustresult","stellar::changetrustresultcode","stellar::claimclaimablebalanceop","stellar::claimclaimablebalanceresult","stellar::claimclaimablebalanceresultcode","stellar::claimofferatom","stellar::claimpredicate","stellar::claimpredicate::factorymethods","stellar::claimpredicatetype","stellar::claimablebalanceentry","stellar::claimablebalanceentry::ext","stellar::claimablebalanceentryextensionv1","stellar::claimablebalanceentryextensionv1::ext","stellar::claimablebalanceflags","stellar::claimablebalanceid","stellar::claimablebalanceidtype","stellar::claimant","stellar::claimant::v0","stellar::claimanttype","stellar::clawbackclaimablebalanceop","stellar::clawbackclaimablebalanceresult","stellar::clawbackclaimablebalanceresultcode","stellar::clawbackop","stellar::clawbackresult","stellar::clawbackresultcode","stellar::concerns","stellar::concerns::transaction","stellar::convert","stellar::createaccountop","stellar::createaccountresult","stellar::createaccountresultcode","stellar::createclaimablebalanceop","stellar::createclaimablebalanceresult","stellar::createclaimablebalanceresultcode","stellar::createpassivesellofferop","stellar::cryptokeytype","stellar::curve25519public","stellar::curve25519secret","stellar::dsl","stellar::dataentry","stellar::dataentry::ext","stellar::decoratedsignature","stellar::donthave","stellar::endsponsoringfuturereservesresult","stellar::endsponsoringfuturereservesresultcode","stellar::envelopetype","stellar::error","stellar::errorcode","stellar::feebumptransaction","stellar::feebumptransaction::ext","stellar::feebumptransaction::innertx","stellar::feebumptransactionenvelope","stellar::hello","stellar::hmacsha256key","stellar::hmacsha256mac","stellar::ipaddrtype","stellar::inflationpayout","stellar::inflationresult","stellar::inflationresultcode","stellar::innertransactionresult","stellar::innertransactionresult::ext","stellar::innertransactionresult::result","stellar::innertransactionresultpair","stellar::keypair","stellar::keypair::factorymethods","stellar::ledgerclosemeta","stellar::ledgerclosemetav0","stellar::ledgerclosevaluesignature","stellar::ledgerentry","stellar::ledgerentry::data","stellar::ledgerentry::ext","stellar::ledgerentrychange","stellar::ledgerentrychangetype","stellar::ledgerentryextensionv1","stellar::ledgerentryextensionv1::ext","stellar::ledgerentrytype","stellar::ledgerheader","stellar::ledgerheader::ext","stellar::ledgerheaderhistoryentry","stellar::ledgerheaderhistoryentry::ext","stellar::ledgerkey","stellar::ledgerkey::account","stellar::ledgerkey::claimablebalance","stellar::ledgerkey::data","stellar::ledgerkey::offer","stellar::ledgerkey::trustline","stellar::ledgerscpmessages","stellar::ledgerupgrade","stellar::ledgerupgradetype","stellar::liabilities","stellar::managebuyofferop","stellar::managebuyofferresult","stellar::managebuyofferresultcode","stellar::managedataop","stellar::managedataresult","stellar::managedataresultcode","stellar::manageoffereffect","stellar::manageoffersuccessresult","stellar::manageoffersuccessresult::offer","stellar::managesellofferop","stellar::managesellofferresult","stellar::managesellofferresultcode","stellar::memo","stellar::memotype","stellar::messagetype","stellar::muxedaccount","stellar::muxedaccount::med25519","stellar::networks","stellar::offerentry","stellar::offerentry::ext","stellar::offerentryflags","stellar::operation","stellar::operation::body","stellar::operationid","stellar::operationid::id","stellar::operationmeta","stellar::operationresult","stellar::operationresult::tr","stellar::operationresultcode","stellar::operationtype","stellar::pathpaymentstrictreceiveop","stellar::pathpaymentstrictreceiveresult","stellar::pathpaymentstrictreceiveresult::success","stellar::pathpaymentstrictreceiveresultcode","stellar::pathpaymentstrictsendop","stellar::pathpaymentstrictsendresult","stellar::pathpaymentstrictsendresult::success","stellar::pathpaymentstrictsendresultcode","stellar::paymentop","stellar::paymentresult","stellar::paymentresultcode","stellar::peeraddress","stellar::peeraddress::ip","stellar::peerstats","stellar::price","stellar::publickey","stellar::publickeytype","stellar::revokesponsorshipop","stellar::revokesponsorshipop::signer","stellar::revokesponsorshipresult","stellar::revokesponsorshipresultcode","stellar::revokesponsorshiptype","stellar::scpballot","stellar::scpenvelope","stellar::scphistoryentry","stellar::scphistoryentryv0","stellar::scpnomination","stellar::scpquorumset","stellar::scpstatement","stellar::scpstatement::pledges","stellar::scpstatement::pledges::confirm","stellar::scpstatement::pledges::externalize","stellar::scpstatement::pledges::prepare","stellar::scpstatementtype","stellar::setoptionsop","stellar::setoptionsresult","stellar::setoptionsresultcode","stellar::settrustlineflagsop","stellar::settrustlineflagsresult","stellar::settrustlineflagsresultcode","stellar::signedsurveyrequestmessage","stellar::signedsurveyresponsemessage","stellar::signer","stellar::signerkey","stellar::signerkeytype","stellar::simplepaymentresult","stellar::stellarmessage","stellar::stellarvalue","stellar::stellarvalue::ext","stellar::stellarvaluetype","stellar::surveymessagecommandtype","stellar::surveyrequestmessage","stellar::surveyresponsebody","stellar::surveyresponsemessage","stellar::thresholdindexes","stellar::thresholds","stellar::timebounds","stellar::topologyresponsebody","stellar::transaction","stellar::transaction::ext","stellar::transactionbuilder","stellar::transactionenvelope","stellar::transactionhistoryentry","stellar::transactionhistoryentry::ext","stellar::transactionhistoryresultentry","stellar::transactionhistoryresultentry::ext","stellar::transactionmeta","stellar::transactionmetav1","stellar::transactionmetav2","stellar::transactionresult","stellar::transactionresult::ext","stellar::transactionresult::result","stellar::transactionresultcode","stellar::transactionresultmeta","stellar::transactionresultpair","stellar::transactionresultset","stellar::transactionset","stellar::transactionsignaturepayload","stellar::transactionsignaturepayload::taggedtransaction","stellar::transactionv0","stellar::transactionv0::ext","stellar::transactionv0envelope","stellar::transactionv1envelope","stellar::trustlineentry","stellar::trustlineentry::ext","stellar::trustlineentry::ext::v1","stellar::trustlineentry::ext::v1::ext","stellar::trustlineflags","stellar::upgradeentrymeta","stellar::util","stellar::util::strkey","stellar::claimpredicate#&()","stellar::dsl#account()","stellar::dsl#asset()","stellar::dsl#claimpredicate()","stellar::dsl#claimant()","stellar::dsl#keypair()","stellar::dsl#signerkey()","stellar::keypair#account_id()","stellar::operation::account_merge()","stellar::transactionbuilder#add_operation()","stellar::account#address()","stellar::keypair#address()","stellar::muxedaccount#address()","stellar::claimpredicate::factorymethods#after()","stellar::operation::allow_trust()","stellar::asset::alphanum12()","stellar::asset::alphanum4()","stellar::claimpredicate#and()","stellar::concerns::transaction#apply_defaults()","stellar::account#base_account()","stellar::claimpredicate::factorymethods#before()","stellar::claimpredicate::factorymethods#before_absolute_time()","stellar::claimpredicate::factorymethods#before_relative_time()","stellar::operation::begin_sponsoring_future_reserves()","stellar::transactionbuilder#build()","stellar::transactionbuilder#build_fee_bump()","stellar::operation::bump_sequence()","stellar::operation::change_trust()","stellar::util::strkey::check_decode()","stellar::util::strkey::check_encode()","stellar::util::strkey::checksum()","stellar::operation::claim_claimable_balance()","stellar::operation::clawback()","stellar::operation::clawback_claimable_balance()","stellar::transactionbuilder#clear_operations()","stellar::asset#code()","stellar::claimpredicate::factorymethods#compose()","stellar::operation::create_account()","stellar::operation::create_claimable_balance()","stellar::operation::create_passive_offer()","stellar::operation::create_passive_sell_offer()","stellar::current_network()","stellar::current_network_id()","stellar::util::strkey::decode_muxed_account()","stellar::claimpredicate#describe()","stellar::signerkey::ed25519()","stellar::util::strkey::encode_muxed_account()","stellar::operation::end_sponsoring_future_reserves()","stellar::claimpredicate#evaluate()","stellar::ledgerkey::from()","stellar::account::from_address()","stellar::keypair::factorymethods#from_address()","stellar::convert#from_base64()","stellar::price::from_f()","stellar::convert#from_hex()","stellar::keypair::factorymethods#from_network_passphrase()","stellar::keypair::factorymethods#from_public_key()","stellar::keypair::factorymethods#from_raw_seed()","stellar::account::from_seed()","stellar::keypair::factorymethods#from_seed()","stellar::operation::get_asset_amount()","stellar::concerns::transaction#hash()","stellar::signerkey::hash_x()","stellar::operation::inflation()","stellar::asset#inspect()","stellar::claimpredicate#inspect()","stellar::price#inspect()","stellar::signerkey#inspect()","stellar::operation::interpret_amount()","stellar::operation::interpret_price()","stellar::price#invert()","stellar::asset#issuer()","stellar::operation::make()","stellar::thresholds::make()","stellar::accountflags::make_mask()","stellar::trustlineflags::make_mask()","stellar::transactionbuilder#make_memo()","stellar::operation::manage_buy_offer()","stellar::operation::manage_data()","stellar::operation::manage_offer()","stellar::operation::manage_sell_offer()","stellar::account::master()","stellar::keypair::factorymethods#master()","stellar::concerns::transaction#merge()","stellar::transactionenvelope#merge()","stellar::transactionbuilder::method_missing()","stellar::account#muxed_account()","stellar::keypair#muxed_account()","stellar::asset::native()","stellar::account::new()","stellar::keypair::new()","stellar::transactionbuilder::new()","stellar::trustlineflags::normalize()","stellar::asset::normalize_code()","stellar::claimpredicate#not()","stellar::on_network()","stellar::claimpredicate#or()","stellar::thresholds::parse()","stellar::accountflags::parse_mask()","stellar::trustlineflags::parse_mask()","stellar::operation::path_payment()","stellar::operation::path_payment_strict_receive()","stellar::operation::path_payment_strict_send()","stellar::operation::payment()","stellar::convert#pk_to_address()","stellar::signerkey::preauthorized_transaction()","stellar::keypair#public_key()","stellar::account::random()","stellar::keypair::factorymethods#random()","stellar::keypair#raw_public_key()","stellar::keypair#raw_seed()","stellar::keypair#rbnacl_signing_key()","stellar::keypair#rbnacl_verify_key()","stellar::transactionbuilder::respond_to_missing?()","stellar::operation::revoke_sponsorship()","stellar::keypair#seed()","stellar::pathpaymentstrictreceiveresult#send_amount()","stellar::transactionbuilder#set_base_fee()","stellar::trustlineflags::set_clear_masks()","stellar::transactionbuilder#set_memo()","stellar::operation::set_options()","stellar::transactionbuilder#set_sequence_number()","stellar::transactionbuilder#set_source_account()","stellar::transactionbuilder#set_timeout()","stellar::operation::set_trust_line_flags()","stellar::concerns::transaction#sign()","stellar::keypair#sign()","stellar::keypair#sign?()","stellar::concerns::transaction#sign_decorated()","stellar::keypair#sign_decorated()","stellar::concerns::transaction#signature_base()","stellar::transaction#signature_base()","stellar::transactionv0#signature_base()","stellar::feebumptransaction#signature_base_prefix()","stellar::transactionv0#signature_base_prefix()","stellar::keypair#signature_hint()","stellar::signerkey#signature_hint()","stellar::transactionenvelope#signed_correctly?()","stellar::keypair#signer_key()","stellar::feebumptransaction#source_account()","stellar::transactionv0#source_account()","stellar::transactionbuilder#source_muxed_account()","stellar::ledgerkey::switch_for_arm()","stellar::convert#to_base64()","stellar::price#to_d()","stellar::feebumptransaction#to_envelope()","stellar::transaction#to_envelope()","stellar::transactionv0#to_envelope()","stellar::price#to_f()","stellar::convert#to_hex()","stellar::account#to_keypair()","stellar::keypair#to_keypair()","stellar::muxedaccount#to_keypair()","stellar::concerns::transaction#to_operations()","stellar::asset#to_s()","stellar::price#to_s()","stellar::signerkey#to_s()","stellar::transaction#to_v0()","stellar::transactionv0#to_v1()","stellar::claimpredicate::factorymethods#unconditional()","stellar::keypair#verify()","stellar::transactionbuilder#with_muxed_accounts?()","stellar::claimpredicate#|()","stellar::claimpredicate#~@()","","",""],"info":[["Stellar","","Stellar.html","","<p>xdr source ============================================================\n\n<pre>struct AccountEntry\n{\n    AccountID ...</pre>\n"],["Stellar::Account","","Stellar/Account.html","",""],["Stellar::AccountEntry","","Stellar/AccountEntry.html","",""],["Stellar::AccountEntry::Ext","","Stellar/AccountEntry/Ext.html","",""],["Stellar::AccountEntryExtensionV1","","Stellar/AccountEntryExtensionV1.html","",""],["Stellar::AccountEntryExtensionV1::Ext","","Stellar/AccountEntryExtensionV1/Ext.html","",""],["Stellar::AccountEntryExtensionV2","","Stellar/AccountEntryExtensionV2.html","",""],["Stellar::AccountEntryExtensionV2::Ext","","Stellar/AccountEntryExtensionV2/Ext.html","",""],["Stellar::AccountFlags","","Stellar/AccountFlags.html","",""],["Stellar::AccountID","","Stellar/AccountID.html","",""],["Stellar::AccountMergeResult","","Stellar/AccountMergeResult.html","",""],["Stellar::AccountMergeResultCode","","Stellar/AccountMergeResultCode.html","",""],["Stellar::AllowTrustOp","","Stellar/AllowTrustOp.html","",""],["Stellar::AllowTrustResult","","Stellar/AllowTrustResult.html","",""],["Stellar::AllowTrustResultCode","","Stellar/AllowTrustResultCode.html","",""],["Stellar::Asset","","Stellar/Asset.html","",""],["Stellar::Asset::AlphaNum12","","Stellar/Asset/AlphaNum12.html","",""],["Stellar::Asset::AlphaNum4","","Stellar/Asset/AlphaNum4.html","",""],["Stellar::AssetCode","","Stellar/AssetCode.html","",""],["Stellar::AssetType","","Stellar/AssetType.html","",""],["Stellar::Auth","","Stellar/Auth.html","",""],["Stellar::AuthCert","","Stellar/AuthCert.html","",""],["Stellar::AuthenticatedMessage","","Stellar/AuthenticatedMessage.html","",""],["Stellar::AuthenticatedMessage::V0","","Stellar/AuthenticatedMessage/V0.html","",""],["Stellar::BeginSponsoringFutureReservesOp","","Stellar/BeginSponsoringFutureReservesOp.html","",""],["Stellar::BeginSponsoringFutureReservesResult","","Stellar/BeginSponsoringFutureReservesResult.html","",""],["Stellar::BeginSponsoringFutureReservesResultCode","","Stellar/BeginSponsoringFutureReservesResultCode.html","",""],["Stellar::BucketEntry","","Stellar/BucketEntry.html","",""],["Stellar::BucketEntryType","","Stellar/BucketEntryType.html","",""],["Stellar::BucketMetadata","","Stellar/BucketMetadata.html","",""],["Stellar::BucketMetadata::Ext","","Stellar/BucketMetadata/Ext.html","",""],["Stellar::BumpSequenceOp","","Stellar/BumpSequenceOp.html","",""],["Stellar::BumpSequenceResult","","Stellar/BumpSequenceResult.html","",""],["Stellar::BumpSequenceResultCode","","Stellar/BumpSequenceResultCode.html","",""],["Stellar::ChangeTrustOp","","Stellar/ChangeTrustOp.html","",""],["Stellar::ChangeTrustResult","","Stellar/ChangeTrustResult.html","",""],["Stellar::ChangeTrustResultCode","","Stellar/ChangeTrustResultCode.html","",""],["Stellar::ClaimClaimableBalanceOp","","Stellar/ClaimClaimableBalanceOp.html","",""],["Stellar::ClaimClaimableBalanceResult","","Stellar/ClaimClaimableBalanceResult.html","",""],["Stellar::ClaimClaimableBalanceResultCode","","Stellar/ClaimClaimableBalanceResultCode.html","",""],["Stellar::ClaimOfferAtom","","Stellar/ClaimOfferAtom.html","",""],["Stellar::ClaimPredicate","","Stellar/ClaimPredicate.html","","<p>Represents claim predicate on Stellar network.\n<p>@see developers.stellar.org/docs/glossary/claimable-balance …\n"],["Stellar::ClaimPredicate::FactoryMethods","","Stellar/ClaimPredicate/FactoryMethods.html","",""],["Stellar::ClaimPredicateType","","Stellar/ClaimPredicateType.html","",""],["Stellar::ClaimableBalanceEntry","","Stellar/ClaimableBalanceEntry.html","",""],["Stellar::ClaimableBalanceEntry::Ext","","Stellar/ClaimableBalanceEntry/Ext.html","",""],["Stellar::ClaimableBalanceEntryExtensionV1","","Stellar/ClaimableBalanceEntryExtensionV1.html","",""],["Stellar::ClaimableBalanceEntryExtensionV1::Ext","","Stellar/ClaimableBalanceEntryExtensionV1/Ext.html","",""],["Stellar::ClaimableBalanceFlags","","Stellar/ClaimableBalanceFlags.html","",""],["Stellar::ClaimableBalanceID","","Stellar/ClaimableBalanceID.html","",""],["Stellar::ClaimableBalanceIDType","","Stellar/ClaimableBalanceIDType.html","",""],["Stellar::Claimant","","Stellar/Claimant.html","",""],["Stellar::Claimant::V0","","Stellar/Claimant/V0.html","",""],["Stellar::ClaimantType","","Stellar/ClaimantType.html","",""],["Stellar::ClawbackClaimableBalanceOp","","Stellar/ClawbackClaimableBalanceOp.html","",""],["Stellar::ClawbackClaimableBalanceResult","","Stellar/ClawbackClaimableBalanceResult.html","",""],["Stellar::ClawbackClaimableBalanceResultCode","","Stellar/ClawbackClaimableBalanceResultCode.html","",""],["Stellar::ClawbackOp","","Stellar/ClawbackOp.html","",""],["Stellar::ClawbackResult","","Stellar/ClawbackResult.html","",""],["Stellar::ClawbackResultCode","","Stellar/ClawbackResultCode.html","",""],["Stellar::Concerns","","Stellar/Concerns.html","",""],["Stellar::Concerns::Transaction","","Stellar/Concerns/Transaction.html","",""],["Stellar::Convert","","Stellar/Convert.html","","<p>Generic format conversion module\n"],["Stellar::CreateAccountOp","","Stellar/CreateAccountOp.html","",""],["Stellar::CreateAccountResult","","Stellar/CreateAccountResult.html","",""],["Stellar::CreateAccountResultCode","","Stellar/CreateAccountResultCode.html","",""],["Stellar::CreateClaimableBalanceOp","","Stellar/CreateClaimableBalanceOp.html","",""],["Stellar::CreateClaimableBalanceResult","","Stellar/CreateClaimableBalanceResult.html","",""],["Stellar::CreateClaimableBalanceResultCode","","Stellar/CreateClaimableBalanceResultCode.html","",""],["Stellar::CreatePassiveSellOfferOp","","Stellar/CreatePassiveSellOfferOp.html","",""],["Stellar::CryptoKeyType","","Stellar/CryptoKeyType.html","",""],["Stellar::Curve25519Public","","Stellar/Curve25519Public.html","",""],["Stellar::Curve25519Secret","","Stellar/Curve25519Secret.html","",""],["Stellar::DSL","","Stellar/DSL.html","",""],["Stellar::DataEntry","","Stellar/DataEntry.html","",""],["Stellar::DataEntry::Ext","","Stellar/DataEntry/Ext.html","",""],["Stellar::DecoratedSignature","","Stellar/DecoratedSignature.html","",""],["Stellar::DontHave","","Stellar/DontHave.html","",""],["Stellar::EndSponsoringFutureReservesResult","","Stellar/EndSponsoringFutureReservesResult.html","",""],["Stellar::EndSponsoringFutureReservesResultCode","","Stellar/EndSponsoringFutureReservesResultCode.html","",""],["Stellar::EnvelopeType","","Stellar/EnvelopeType.html","",""],["Stellar::Error","","Stellar/Error.html","",""],["Stellar::ErrorCode","","Stellar/ErrorCode.html","",""],["Stellar::FeeBumpTransaction","","Stellar/FeeBumpTransaction.html","",""],["Stellar::FeeBumpTransaction::Ext","","Stellar/FeeBumpTransaction/Ext.html","",""],["Stellar::FeeBumpTransaction::InnerTx","","Stellar/FeeBumpTransaction/InnerTx.html","",""],["Stellar::FeeBumpTransactionEnvelope","","Stellar/FeeBumpTransactionEnvelope.html","",""],["Stellar::Hello","","Stellar/Hello.html","",""],["Stellar::HmacSha256Key","","Stellar/HmacSha256Key.html","",""],["Stellar::HmacSha256Mac","","Stellar/HmacSha256Mac.html","",""],["Stellar::IPAddrType","","Stellar/IPAddrType.html","",""],["Stellar::InflationPayout","","Stellar/InflationPayout.html","",""],["Stellar::InflationResult","","Stellar/InflationResult.html","",""],["Stellar::InflationResultCode","","Stellar/InflationResultCode.html","",""],["Stellar::InnerTransactionResult","","Stellar/InnerTransactionResult.html","",""],["Stellar::InnerTransactionResult::Ext","","Stellar/InnerTransactionResult/Ext.html","",""],["Stellar::InnerTransactionResult::Result","","Stellar/InnerTransactionResult/Result.html","",""],["Stellar::InnerTransactionResultPair","","Stellar/InnerTransactionResultPair.html","",""],["Stellar::KeyPair","","Stellar/KeyPair.html","",""],["Stellar::KeyPair::FactoryMethods","","Stellar/KeyPair/FactoryMethods.html","",""],["Stellar::LedgerCloseMeta","","Stellar/LedgerCloseMeta.html","",""],["Stellar::LedgerCloseMetaV0","","Stellar/LedgerCloseMetaV0.html","",""],["Stellar::LedgerCloseValueSignature","","Stellar/LedgerCloseValueSignature.html","",""],["Stellar::LedgerEntry","","Stellar/LedgerEntry.html","",""],["Stellar::LedgerEntry::Data","","Stellar/LedgerEntry/Data.html","",""],["Stellar::LedgerEntry::Ext","","Stellar/LedgerEntry/Ext.html","",""],["Stellar::LedgerEntryChange","","Stellar/LedgerEntryChange.html","",""],["Stellar::LedgerEntryChangeType","","Stellar/LedgerEntryChangeType.html","",""],["Stellar::LedgerEntryExtensionV1","","Stellar/LedgerEntryExtensionV1.html","",""],["Stellar::LedgerEntryExtensionV1::Ext","","Stellar/LedgerEntryExtensionV1/Ext.html","",""],["Stellar::LedgerEntryType","","Stellar/LedgerEntryType.html","",""],["Stellar::LedgerHeader","","Stellar/LedgerHeader.html","",""],["Stellar::LedgerHeader::Ext","","Stellar/LedgerHeader/Ext.html","",""],["Stellar::LedgerHeaderHistoryEntry","","Stellar/LedgerHeaderHistoryEntry.html","",""],["Stellar::LedgerHeaderHistoryEntry::Ext","","Stellar/LedgerHeaderHistoryEntry/Ext.html","",""],["Stellar::LedgerKey","","Stellar/LedgerKey.html","",""],["Stellar::LedgerKey::Account","","Stellar/LedgerKey/Account.html","",""],["Stellar::LedgerKey::ClaimableBalance","","Stellar/LedgerKey/ClaimableBalance.html","",""],["Stellar::LedgerKey::Data","","Stellar/LedgerKey/Data.html","",""],["Stellar::LedgerKey::Offer","","Stellar/LedgerKey/Offer.html","",""],["Stellar::LedgerKey::TrustLine","","Stellar/LedgerKey/TrustLine.html","",""],["Stellar::LedgerSCPMessages","","Stellar/LedgerSCPMessages.html","",""],["Stellar::LedgerUpgrade","","Stellar/LedgerUpgrade.html","",""],["Stellar::LedgerUpgradeType","","Stellar/LedgerUpgradeType.html","",""],["Stellar::Liabilities","","Stellar/Liabilities.html","",""],["Stellar::ManageBuyOfferOp","","Stellar/ManageBuyOfferOp.html","",""],["Stellar::ManageBuyOfferResult","","Stellar/ManageBuyOfferResult.html","",""],["Stellar::ManageBuyOfferResultCode","","Stellar/ManageBuyOfferResultCode.html","",""],["Stellar::ManageDataOp","","Stellar/ManageDataOp.html","",""],["Stellar::ManageDataResult","","Stellar/ManageDataResult.html","",""],["Stellar::ManageDataResultCode","","Stellar/ManageDataResultCode.html","",""],["Stellar::ManageOfferEffect","","Stellar/ManageOfferEffect.html","",""],["Stellar::ManageOfferSuccessResult","","Stellar/ManageOfferSuccessResult.html","",""],["Stellar::ManageOfferSuccessResult::Offer","","Stellar/ManageOfferSuccessResult/Offer.html","",""],["Stellar::ManageSellOfferOp","","Stellar/ManageSellOfferOp.html","",""],["Stellar::ManageSellOfferResult","","Stellar/ManageSellOfferResult.html","",""],["Stellar::ManageSellOfferResultCode","","Stellar/ManageSellOfferResultCode.html","",""],["Stellar::Memo","","Stellar/Memo.html","",""],["Stellar::MemoType","","Stellar/MemoType.html","",""],["Stellar::MessageType","","Stellar/MessageType.html","",""],["Stellar::MuxedAccount","","Stellar/MuxedAccount.html","",""],["Stellar::MuxedAccount::Med25519","","Stellar/MuxedAccount/Med25519.html","",""],["Stellar::Networks","","Stellar/Networks.html","","<p>Provides a container for well-known network passphrases, such as the main network and SDF test network …\n"],["Stellar::OfferEntry","","Stellar/OfferEntry.html","",""],["Stellar::OfferEntry::Ext","","Stellar/OfferEntry/Ext.html","",""],["Stellar::OfferEntryFlags","","Stellar/OfferEntryFlags.html","",""],["Stellar::Operation","","Stellar/Operation.html","",""],["Stellar::Operation::Body","","Stellar/Operation/Body.html","",""],["Stellar::OperationID","","Stellar/OperationID.html","",""],["Stellar::OperationID::Id","","Stellar/OperationID/Id.html","",""],["Stellar::OperationMeta","","Stellar/OperationMeta.html","",""],["Stellar::OperationResult","","Stellar/OperationResult.html","",""],["Stellar::OperationResult::Tr","","Stellar/OperationResult/Tr.html","",""],["Stellar::OperationResultCode","","Stellar/OperationResultCode.html","",""],["Stellar::OperationType","","Stellar/OperationType.html","",""],["Stellar::PathPaymentStrictReceiveOp","","Stellar/PathPaymentStrictReceiveOp.html","",""],["Stellar::PathPaymentStrictReceiveResult","","Stellar/PathPaymentStrictReceiveResult.html","",""],["Stellar::PathPaymentStrictReceiveResult::Success","","Stellar/PathPaymentStrictReceiveResult/Success.html","",""],["Stellar::PathPaymentStrictReceiveResultCode","","Stellar/PathPaymentStrictReceiveResultCode.html","",""],["Stellar::PathPaymentStrictSendOp","","Stellar/PathPaymentStrictSendOp.html","",""],["Stellar::PathPaymentStrictSendResult","","Stellar/PathPaymentStrictSendResult.html","",""],["Stellar::PathPaymentStrictSendResult::Success","","Stellar/PathPaymentStrictSendResult/Success.html","",""],["Stellar::PathPaymentStrictSendResultCode","","Stellar/PathPaymentStrictSendResultCode.html","",""],["Stellar::PaymentOp","","Stellar/PaymentOp.html","",""],["Stellar::PaymentResult","","Stellar/PaymentResult.html","",""],["Stellar::PaymentResultCode","","Stellar/PaymentResultCode.html","",""],["Stellar::PeerAddress","","Stellar/PeerAddress.html","",""],["Stellar::PeerAddress::Ip","","Stellar/PeerAddress/Ip.html","",""],["Stellar::PeerStats","","Stellar/PeerStats.html","",""],["Stellar::Price","","Stellar/Price.html","","<p>reopen class\n"],["Stellar::PublicKey","","Stellar/PublicKey.html","",""],["Stellar::PublicKeyType","","Stellar/PublicKeyType.html","",""],["Stellar::RevokeSponsorshipOp","","Stellar/RevokeSponsorshipOp.html","",""],["Stellar::RevokeSponsorshipOp::Signer","","Stellar/RevokeSponsorshipOp/Signer.html","",""],["Stellar::RevokeSponsorshipResult","","Stellar/RevokeSponsorshipResult.html","",""],["Stellar::RevokeSponsorshipResultCode","","Stellar/RevokeSponsorshipResultCode.html","",""],["Stellar::RevokeSponsorshipType","","Stellar/RevokeSponsorshipType.html","",""],["Stellar::SCPBallot","","Stellar/SCPBallot.html","",""],["Stellar::SCPEnvelope","","Stellar/SCPEnvelope.html","",""],["Stellar::SCPHistoryEntry","","Stellar/SCPHistoryEntry.html","",""],["Stellar::SCPHistoryEntryV0","","Stellar/SCPHistoryEntryV0.html","",""],["Stellar::SCPNomination","","Stellar/SCPNomination.html","",""],["Stellar::SCPQuorumSet","","Stellar/SCPQuorumSet.html","",""],["Stellar::SCPStatement","","Stellar/SCPStatement.html","",""],["Stellar::SCPStatement::Pledges","","Stellar/SCPStatement/Pledges.html","",""],["Stellar::SCPStatement::Pledges::Confirm","","Stellar/SCPStatement/Pledges/Confirm.html","",""],["Stellar::SCPStatement::Pledges::Externalize","","Stellar/SCPStatement/Pledges/Externalize.html","",""],["Stellar::SCPStatement::Pledges::Prepare","","Stellar/SCPStatement/Pledges/Prepare.html","",""],["Stellar::SCPStatementType","","Stellar/SCPStatementType.html","",""],["Stellar::SetOptionsOp","","Stellar/SetOptionsOp.html","",""],["Stellar::SetOptionsResult","","Stellar/SetOptionsResult.html","",""],["Stellar::SetOptionsResultCode","","Stellar/SetOptionsResultCode.html","",""],["Stellar::SetTrustLineFlagsOp","","Stellar/SetTrustLineFlagsOp.html","",""],["Stellar::SetTrustLineFlagsResult","","Stellar/SetTrustLineFlagsResult.html","",""],["Stellar::SetTrustLineFlagsResultCode","","Stellar/SetTrustLineFlagsResultCode.html","",""],["Stellar::SignedSurveyRequestMessage","","Stellar/SignedSurveyRequestMessage.html","",""],["Stellar::SignedSurveyResponseMessage","","Stellar/SignedSurveyResponseMessage.html","",""],["Stellar::Signer","","Stellar/Signer.html","",""],["Stellar::SignerKey","","Stellar/SignerKey.html","",""],["Stellar::SignerKeyType","","Stellar/SignerKeyType.html","",""],["Stellar::SimplePaymentResult","","Stellar/SimplePaymentResult.html","",""],["Stellar::StellarMessage","","Stellar/StellarMessage.html","",""],["Stellar::StellarValue","","Stellar/StellarValue.html","",""],["Stellar::StellarValue::Ext","","Stellar/StellarValue/Ext.html","",""],["Stellar::StellarValueType","","Stellar/StellarValueType.html","",""],["Stellar::SurveyMessageCommandType","","Stellar/SurveyMessageCommandType.html","",""],["Stellar::SurveyRequestMessage","","Stellar/SurveyRequestMessage.html","",""],["Stellar::SurveyResponseBody","","Stellar/SurveyResponseBody.html","",""],["Stellar::SurveyResponseMessage","","Stellar/SurveyResponseMessage.html","",""],["Stellar::ThresholdIndexes","","Stellar/ThresholdIndexes.html","",""],["Stellar::Thresholds","","Stellar/Thresholds.html","",""],["Stellar::TimeBounds","","Stellar/TimeBounds.html","",""],["Stellar::TopologyResponseBody","","Stellar/TopologyResponseBody.html","",""],["Stellar::Transaction","","Stellar/Transaction.html","",""],["Stellar::Transaction::Ext","","Stellar/Transaction/Ext.html","",""],["Stellar::TransactionBuilder","","Stellar/TransactionBuilder.html","",""],["Stellar::TransactionEnvelope","","Stellar/TransactionEnvelope.html","",""],["Stellar::TransactionHistoryEntry","","Stellar/TransactionHistoryEntry.html","",""],["Stellar::TransactionHistoryEntry::Ext","","Stellar/TransactionHistoryEntry/Ext.html","",""],["Stellar::TransactionHistoryResultEntry","","Stellar/TransactionHistoryResultEntry.html","",""],["Stellar::TransactionHistoryResultEntry::Ext","","Stellar/TransactionHistoryResultEntry/Ext.html","",""],["Stellar::TransactionMeta","","Stellar/TransactionMeta.html","",""],["Stellar::TransactionMetaV1","","Stellar/TransactionMetaV1.html","",""],["Stellar::TransactionMetaV2","","Stellar/TransactionMetaV2.html","",""],["Stellar::TransactionResult","","Stellar/TransactionResult.html","",""],["Stellar::TransactionResult::Ext","","Stellar/TransactionResult/Ext.html","",""],["Stellar::TransactionResult::Result","","Stellar/TransactionResult/Result.html","",""],["Stellar::TransactionResultCode","","Stellar/TransactionResultCode.html","",""],["Stellar::TransactionResultMeta","","Stellar/TransactionResultMeta.html","",""],["Stellar::TransactionResultPair","","Stellar/TransactionResultPair.html","",""],["Stellar::TransactionResultSet","","Stellar/TransactionResultSet.html","",""],["Stellar::TransactionSet","","Stellar/TransactionSet.html","",""],["Stellar::TransactionSignaturePayload","","Stellar/TransactionSignaturePayload.html","",""],["Stellar::TransactionSignaturePayload::TaggedTransaction","","Stellar/TransactionSignaturePayload/TaggedTransaction.html","",""],["Stellar::TransactionV0","","Stellar/TransactionV0.html","",""],["Stellar::TransactionV0::Ext","","Stellar/TransactionV0/Ext.html","",""],["Stellar::TransactionV0Envelope","","Stellar/TransactionV0Envelope.html","",""],["Stellar::TransactionV1Envelope","","Stellar/TransactionV1Envelope.html","",""],["Stellar::TrustLineEntry","","Stellar/TrustLineEntry.html","",""],["Stellar::TrustLineEntry::Ext","","Stellar/TrustLineEntry/Ext.html","",""],["Stellar::TrustLineEntry::Ext::V1","","Stellar/TrustLineEntry/Ext/V1.html","",""],["Stellar::TrustLineEntry::Ext::V1::Ext","","Stellar/TrustLineEntry/Ext/V1/Ext.html","",""],["Stellar::TrustLineFlags","","Stellar/TrustLineFlags.html","",""],["Stellar::UpgradeEntryMeta","","Stellar/UpgradeEntryMeta.html","",""],["Stellar::Util","","Stellar/Util.html","",""],["Stellar::Util::StrKey","","Stellar/Util/StrKey.html","",""],["&","Stellar::ClaimPredicate","Stellar/ClaimPredicate.html#method-i-26","(other)",""],["Account","Stellar::DSL","Stellar/DSL.html#method-i-Account","(subject = nil)",""],["Asset","Stellar::DSL","Stellar/DSL.html#method-i-Asset","(subject = nil)","<p>@param [Asset, String, nil] subject @return [Stellar::Asset] instance of the Stellar::Asset @raise [TypeError] …\n"],["ClaimPredicate","Stellar::DSL","Stellar/DSL.html#method-i-ClaimPredicate","(&block)","<p>Constructs a new ClaimPredicate using DSL\n<p>@example fulfilled during [T+5min, T+60min] period, where T …\n"],["Claimant","Stellar::DSL","Stellar/DSL.html#method-i-Claimant","(destination, &block)",""],["KeyPair","Stellar::DSL","Stellar/DSL.html#method-i-KeyPair","(subject = nil)","<p>Generates Stellar::Keypair from subject, use Stellar::Client.to_keypair as shortcut. @param subject [String|Stellar::Account|Stellar::PublicKey|Stellar::SignerKey|Stellar::Keypair] …\n"],["SignerKey","Stellar::DSL","Stellar/DSL.html#method-i-SignerKey","(input = nil)","<p>Provides conversion from different input types into the SignerKey to use in ManageData operation. @param …\n"],["account_id","Stellar::KeyPair","Stellar/KeyPair.html#method-i-account_id","()",""],["account_merge","Stellar::Operation","Stellar/Operation.html#method-c-account_merge","(attributes = {})","<p>Helper method to create an account merge operation\n<p>@param [Hash] attributes the attributes to create the …\n"],["add_operation","Stellar::TransactionBuilder","Stellar/TransactionBuilder.html#method-i-add_operation","(operation)",""],["address","Stellar::Account","Stellar/Account.html#method-i-address","(force_account_id: true)",""],["address","Stellar::KeyPair","Stellar/KeyPair.html#method-i-address","()",""],["address","Stellar::MuxedAccount","Stellar/MuxedAccount.html#method-i-address","()",""],["after","Stellar::ClaimPredicate::FactoryMethods","Stellar/ClaimPredicate/FactoryMethods.html#method-i-after","(time)","<p>Constructs a negated predicate from either relative or absolute time based on the type of the input. …\n"],["allow_trust","Stellar::Operation","Stellar/Operation.html#method-c-allow_trust","(attributes = {})","<p>DEPRECATED in favor of `set_trustline_flags`\n<p>Helper method to create a valid AllowTrustOp, wrapped in …\n"],["alphanum12","Stellar::Asset","Stellar/Asset.html#method-c-alphanum12","(code, issuer)","<p>@param code   [String] asset code @param issuer [#to_keypair] asset issuer\n<p>@return [Stellar::Asset::AlphaNum4] …\n"],["alphanum4","Stellar::Asset","Stellar/Asset.html#method-c-alphanum4","(code, issuer)","<p>@param code   [String] asset code @param issuer [#to_keypair] asset issuer\n<p>@return [Stellar::Asset::AlphaNum4] …\n"],["and","Stellar::ClaimPredicate","Stellar/ClaimPredicate.html#method-i-and","(other)","<p>Constructs an `and` claim predicate.\n<p>This predicate will be fulfilled if both `self` and `other` predicates …\n"],["apply_defaults","Stellar::Concerns::Transaction","Stellar/Concerns/Transaction.html#method-i-apply_defaults","()",""],["base_account","Stellar::Account","Stellar/Account.html#method-i-base_account","()",""],["before","Stellar::ClaimPredicate::FactoryMethods","Stellar/ClaimPredicate/FactoryMethods.html#method-i-before","(time)","<p>Constructs either relative or absolute time predicate based on the type of the input.\n<p>If input is an instance …\n"],["before_absolute_time","Stellar::ClaimPredicate::FactoryMethods","Stellar/ClaimPredicate/FactoryMethods.html#method-i-before_absolute_time","(timestamp)","<p>Constructs an `before_absolute_time` claim predicate.\n<p>This predicate will be fulfilled if the closing …\n"],["before_relative_time","Stellar::ClaimPredicate::FactoryMethods","Stellar/ClaimPredicate/FactoryMethods.html#method-i-before_relative_time","(seconds)","<p>Constructs a `before_relative_time` claim predicate.\n<p>This predicate will be fulfilled if the closing time …\n"],["begin_sponsoring_future_reserves","Stellar::Operation","Stellar/Operation.html#method-c-begin_sponsoring_future_reserves","(sponsored:, **attributes)",""],["build","Stellar::TransactionBuilder","Stellar/TransactionBuilder.html#method-i-build","()",""],["build_fee_bump","Stellar::TransactionBuilder","Stellar/TransactionBuilder.html#method-i-build_fee_bump","(inner_txe:)",""],["bump_sequence","Stellar::Operation","Stellar/Operation.html#method-c-bump_sequence","(attributes = {})",""],["change_trust","Stellar::Operation","Stellar/Operation.html#method-c-change_trust","(attributes = {})","<p>Helper method to create a valid ChangeTrustOp, wrapped in the necessary XDR structs to be included within …\n"],["check_decode","Stellar::Util::StrKey","Stellar/Util/StrKey.html#method-c-check_decode","(expected_version, str)",""],["check_encode","Stellar::Util::StrKey","Stellar/Util/StrKey.html#method-c-check_encode","(version, byte_str)",""],["checksum","Stellar::Util::StrKey","Stellar/Util/StrKey.html#method-c-checksum","(bytes)","<p>return the “XModem CRC16” (CCITT-like, but with 0-init and MSB first) packed into a string …\n"],["claim_claimable_balance","Stellar::Operation","Stellar/Operation.html#method-c-claim_claimable_balance","(balance_id:, **attributes)","<p>Helper method to create a valid CreateClaimableBalanceOp, ready to be used within a transactions `operations` …\n"],["clawback","Stellar::Operation","Stellar/Operation.html#method-c-clawback","(source_account:, from:, amount:)",""],["clawback_claimable_balance","Stellar::Operation","Stellar/Operation.html#method-c-clawback_claimable_balance","(source_account:, balance_id:)","<p>Helper method to create clawback claimable balance operation\n<p>@param [Stellar::KeyPair] source_account …\n"],["clear_operations","Stellar::TransactionBuilder","Stellar/TransactionBuilder.html#method-i-clear_operations","()",""],["code","Stellar::Asset","Stellar/Asset.html#method-i-code","()",""],["compose","Stellar::ClaimPredicate::FactoryMethods","Stellar/ClaimPredicate/FactoryMethods.html#method-i-compose","(&block)","<p>Compose a complex predicate by calling DSL methods from the block.\n<p>@example\n\n<pre>ClaimPredicate.compose {\n  ...</pre>\n"],["create_account","Stellar::Operation","Stellar/Operation.html#method-c-create_account","(attributes = {})",""],["create_claimable_balance","Stellar::Operation","Stellar/Operation.html#method-c-create_claimable_balance","(asset:, amount:, claimants:, **attributes)","<p>Helper method to create a valid CreateClaimableBalanceOp, ready to be used within a transactions `operations` …\n"],["create_passive_offer","Stellar::Operation","Stellar/Operation.html#method-c-create_passive_offer","(attributes = {})",""],["create_passive_sell_offer","Stellar::Operation","Stellar/Operation.html#method-c-create_passive_sell_offer","(attributes = {})",""],["current_network","Stellar","Stellar.html#method-c-current_network","()","<p>Returns the passphrase for the network currently active per-thread with a fallback to `Stellar.default_network` …\n"],["current_network_id","Stellar","Stellar.html#method-c-current_network_id","()","<p>Returns the id for the currently configured network, suitable for use in generating a signature base …\n"],["decode_muxed_account","Stellar::Util::StrKey","Stellar/Util/StrKey.html#method-c-decode_muxed_account","(strkey)","<p>Returns a Stellar::MuxedAccount, forcing the ed25519 discriminant\n<p>@param strkey [String] address string …\n"],["describe","Stellar::ClaimPredicate","Stellar/ClaimPredicate.html#method-i-describe","()",""],["ed25519","Stellar::SignerKey","Stellar/SignerKey.html#method-c-ed25519","(keypair)",""],["encode_muxed_account","Stellar::Util::StrKey","Stellar/Util/StrKey.html#method-c-encode_muxed_account","(muxed_account)","<p>Converts an Stellar::MuxedAccount to its string representation, forcing the ed25519 representation. @param …\n"],["end_sponsoring_future_reserves","Stellar::Operation","Stellar/Operation.html#method-c-end_sponsoring_future_reserves","(**attributes)",""],["evaluate","Stellar::ClaimPredicate","Stellar/ClaimPredicate.html#method-i-evaluate","(created_at, claiming_at)","<p>Evaluates the predicate value for provided inputs.\n<p>@param created_at [#to_time|#to_int] closing time of …\n"],["from","Stellar::LedgerKey","Stellar/LedgerKey.html#method-c-from","(account_id:, **options)",""],["from_address","Stellar::Account","Stellar/Account.html#method-c-from_address","(address)",""],["from_address","Stellar::KeyPair::FactoryMethods","Stellar/KeyPair/FactoryMethods.html#method-i-from_address","(address)",""],["from_base64","Stellar::Convert","Stellar/Convert.html#method-i-from_base64","(base64_string)",""],["from_f","Stellar::Price","Stellar/Price.html#method-c-from_f","(number)",""],["from_hex","Stellar::Convert","Stellar/Convert.html#method-i-from_hex","(hex_string)",""],["from_network_passphrase","Stellar::KeyPair::FactoryMethods","Stellar/KeyPair/FactoryMethods.html#method-i-from_network_passphrase","(passphrase)",""],["from_public_key","Stellar::KeyPair::FactoryMethods","Stellar/KeyPair/FactoryMethods.html#method-i-from_public_key","(pk_bytes)",""],["from_raw_seed","Stellar::KeyPair::FactoryMethods","Stellar/KeyPair/FactoryMethods.html#method-i-from_raw_seed","(seed_bytes)",""],["from_seed","Stellar::Account","Stellar/Account.html#method-c-from_seed","(seed)",""],["from_seed","Stellar::KeyPair::FactoryMethods","Stellar/KeyPair/FactoryMethods.html#method-i-from_seed","(seed)",""],["get_asset_amount","Stellar::Operation","Stellar/Operation.html#method-c-get_asset_amount","(values)",""],["hash","Stellar::Concerns::Transaction","Stellar/Concerns/Transaction.html#method-i-hash","()",""],["hash_x","Stellar::SignerKey","Stellar/SignerKey.html#method-c-hash_x","(preimage)",""],["inflation","Stellar::Operation","Stellar/Operation.html#method-c-inflation","(attributes = {})","<p>Helper method to create an inflation operation\n<p>@param [Hash] attributes the attributes to create the operation …\n"],["inspect","Stellar::Asset","Stellar/Asset.html#method-i-inspect","()",""],["inspect","Stellar::ClaimPredicate","Stellar/ClaimPredicate.html#method-i-inspect","()",""],["inspect","Stellar::Price","Stellar/Price.html#method-i-inspect","()",""],["inspect","Stellar::SignerKey","Stellar/SignerKey.html#method-i-inspect","()",""],["interpret_amount","Stellar::Operation","Stellar/Operation.html#method-c-interpret_amount","(amount)",""],["interpret_price","Stellar::Operation","Stellar/Operation.html#method-c-interpret_price","(price)",""],["invert","Stellar::Price","Stellar/Price.html#method-i-invert","()",""],["issuer","Stellar::Asset","Stellar/Asset.html#method-i-issuer","()",""],["make","Stellar::Operation","Stellar/Operation.html#method-c-make","(attributes = {})","<p>Construct a new Stellar::Operation from the provided source account and body\n<p>@param [Hash] attributes …\n"],["make","Stellar::Thresholds","Stellar/Thresholds.html#method-c-make","(thresholds = {})",""],["make_mask","Stellar::AccountFlags","Stellar/AccountFlags.html#method-c-make_mask","(flags = nil)","<p>Converts an array of Stellar::AccountFlags members into an Integer suitable for use in a SetOptionsOp …\n"],["make_mask","Stellar::TrustLineFlags","Stellar/TrustLineFlags.html#method-c-make_mask","(flags)","<p>Converts an array of Stellar::TrustLineFlags members into an integers suitable for use in in a SetTrustLineFlagsOp …\n"],["make_memo","Stellar::TransactionBuilder","Stellar/TransactionBuilder.html#method-i-make_memo","(memo)",""],["manage_buy_offer","Stellar::Operation","Stellar/Operation.html#method-c-manage_buy_offer","(attributes = {})",""],["manage_data","Stellar::Operation","Stellar/Operation.html#method-c-manage_data","(attributes = {})","<p>Helper method to create an manage data operation\n<p>@param [Hash] attributes the attributes to create the …\n"],["manage_offer","Stellar::Operation","Stellar/Operation.html#method-c-manage_offer","(attributes = {})",""],["manage_sell_offer","Stellar::Operation","Stellar/Operation.html#method-c-manage_sell_offer","(attributes = {})",""],["master","Stellar::Account","Stellar/Account.html#method-c-master","()",""],["master","Stellar::KeyPair::FactoryMethods","Stellar/KeyPair/FactoryMethods.html#method-i-master","()",""],["merge","Stellar::Concerns::Transaction","Stellar/Concerns/Transaction.html#method-i-merge","(other)",""],["merge","Stellar::TransactionEnvelope","Stellar/TransactionEnvelope.html#method-i-merge","(other)",""],["method_missing","Stellar::TransactionBuilder","Stellar/TransactionBuilder.html#method-c-method_missing","(method_name, *args, **kwargs)","<p>This enable user to call shortcut methods, like TransactionBuilder.payment(…), TransactionBuilder.manage_data(…) …\n"],["muxed_account","Stellar::Account","Stellar/Account.html#method-i-muxed_account","()",""],["muxed_account","Stellar::KeyPair","Stellar/KeyPair.html#method-i-muxed_account","()",""],["native","Stellar::Asset","Stellar/Asset.html#method-c-native","()",""],["new","Stellar::Account","Stellar/Account.html#method-c-new","(keypair, id = nil)","<p>@param [Stellar::KeyPair] keypair @param [Integer] id\n"],["new","Stellar::KeyPair","Stellar/KeyPair.html#method-c-new","(public_key, secret_key = nil)","<p>@param [RbNaCl::VerifyKey] public_key @param [RbNaCl::SigningKey, nil] secret_key\n"],["new","Stellar::TransactionBuilder","Stellar/TransactionBuilder.html#method-c-new","( source_account:, sequence_number:, base_fee: 100, time_bounds: nil, memo: nil, enable_muxed_accounts: false, **_ )",""],["normalize","Stellar::TrustLineFlags","Stellar/TrustLineFlags.html#method-c-normalize","(input)","<p>Converts each element of the input array to Stellar::TrustLineFlags instance.\n<p>@param [Array&lt;Stellar::TrustLineFlags,Symbol,#to_s&gt;] …\n"],["normalize_code","Stellar::Asset","Stellar/Asset.html#method-c-normalize_code","(code, length)",""],["not","Stellar::ClaimPredicate","Stellar/ClaimPredicate.html#method-i-not","()","<p>Constructs a `not` claim predicate.\n<p>This predicate will be fulfilled if `self` is not fulfilled.\n<p>@return …\n"],["on_network","Stellar","Stellar.html#method-c-on_network","(passphrase, &block)","<p>Executes the provided block in the context of the provided network.\n"],["or","Stellar::ClaimPredicate","Stellar/ClaimPredicate.html#method-i-or","(other)","<p>Constructs an `or` claim predicate.\n<p>This predicate will be fulfilled if either of `self` or `other` predicates …\n"],["parse","Stellar::Thresholds","Stellar/Thresholds.html#method-c-parse","(combined)",""],["parse_mask","Stellar::AccountFlags","Stellar/AccountFlags.html#method-c-parse_mask","(combined)","<p>Converts an integer used in SetOptionsOp on the set/clear flag options into an array of Stellar::AccountFlags …\n"],["parse_mask","Stellar::TrustLineFlags","Stellar/TrustLineFlags.html#method-c-parse_mask","(combined)","<p>Converts an integer used in SetTrustLineFlagsOp on the set/clear flag options into an array of Stellar::TrustLineFlags …\n"],["path_payment","Stellar::Operation","Stellar/Operation.html#method-c-path_payment","(attributes = {})","<p>Helper method to create a valid PathPaymentStrictReceiveOp, wrapped in the necessary XDR structs to be …\n"],["path_payment_strict_receive","Stellar::Operation","Stellar/Operation.html#method-c-path_payment_strict_receive","(attributes = {})","<p>Helper method to create a valid PathPaymentStrictReceiveOp, wrapped in the necessary XDR structs to be …\n"],["path_payment_strict_send","Stellar::Operation","Stellar/Operation.html#method-c-path_payment_strict_send","(attributes = {})","<p>Helper method to create a valid PathPaymentStrictSendOp, wrapped in the necessary XDR structs to be included …\n"],["payment","Stellar::Operation","Stellar/Operation.html#method-c-payment","(attributes = {})","<p>Helper method to create a valid PaymentOp, wrapped in the necessary XDR structs to be included within …\n"],["pk_to_address","Stellar::Convert","Stellar/Convert.html#method-i-pk_to_address","(pk)","\n<pre>Converts a Stellar::PublicKey instance (or any typedef of it such as</pre>\n<p>Stellar::AccountID) to an address …\n"],["preauthorized_transaction","Stellar::SignerKey","Stellar/SignerKey.html#method-c-preauthorized_transaction","(tx)",""],["public_key","Stellar::KeyPair","Stellar/KeyPair.html#method-i-public_key","()",""],["random","Stellar::Account","Stellar/Account.html#method-c-random","()",""],["random","Stellar::KeyPair::FactoryMethods","Stellar/KeyPair/FactoryMethods.html#method-i-random","()",""],["raw_public_key","Stellar::KeyPair","Stellar/KeyPair.html#method-i-raw_public_key","()",""],["raw_seed","Stellar::KeyPair","Stellar/KeyPair.html#method-i-raw_seed","()",""],["rbnacl_signing_key","Stellar::KeyPair","Stellar/KeyPair.html#method-i-rbnacl_signing_key","()",""],["rbnacl_verify_key","Stellar::KeyPair","Stellar/KeyPair.html#method-i-rbnacl_verify_key","()",""],["respond_to_missing?","Stellar::TransactionBuilder","Stellar/TransactionBuilder.html#method-c-respond_to_missing-3F","(method_name, include_private = false)",""],["revoke_sponsorship","Stellar::Operation","Stellar/Operation.html#method-c-revoke_sponsorship","(sponsored:, **attributes)","<p>@param sponsored [#to_keypair] owner of sponsored entry\n"],["seed","Stellar::KeyPair","Stellar/KeyPair.html#method-i-seed","()",""],["send_amount","Stellar::PathPaymentStrictReceiveResult","Stellar/PathPaymentStrictReceiveResult.html#method-i-send_amount","()","<p>send_amount returns the actual amount paid for the corresponding PathPaymentOp to this result.\n"],["set_base_fee","Stellar::TransactionBuilder","Stellar/TransactionBuilder.html#method-i-set_base_fee","(base_fee)",""],["set_clear_masks","Stellar::TrustLineFlags","Stellar/TrustLineFlags.html#method-c-set_clear_masks","(flags)",""],["set_memo","Stellar::TransactionBuilder","Stellar/TransactionBuilder.html#method-i-set_memo","(memo)",""],["set_options","Stellar::Operation","Stellar/Operation.html#method-c-set_options","(attributes = {})","<p>Helper method to create a valid SetOptionsOp, wrapped in the necessary XDR structs to be included within …\n"],["set_sequence_number","Stellar::TransactionBuilder","Stellar/TransactionBuilder.html#method-i-set_sequence_number","(seq_num)",""],["set_source_account","Stellar::TransactionBuilder","Stellar/TransactionBuilder.html#method-i-set_source_account","(account_kp)",""],["set_timeout","Stellar::TransactionBuilder","Stellar/TransactionBuilder.html#method-i-set_timeout","(timeout)",""],["set_trust_line_flags","Stellar::Operation","Stellar/Operation.html#method-c-set_trust_line_flags","(asset:, trustor:, flags: {}, source_account: nil)","<p>@param asset [Stellar::Asset] @param trustor [Stellar::KeyPair] @param flags [{String, Symbol, Stellar::TrustLineFlags …\n"],["sign","Stellar::Concerns::Transaction","Stellar/Concerns/Transaction.html#method-i-sign","(key_pair)",""],["sign","Stellar::KeyPair","Stellar/KeyPair.html#method-i-sign","(message)",""],["sign?","Stellar::KeyPair","Stellar/KeyPair.html#method-i-sign-3F","()",""],["sign_decorated","Stellar::Concerns::Transaction","Stellar/Concerns/Transaction.html#method-i-sign_decorated","(key_pair)",""],["sign_decorated","Stellar::KeyPair","Stellar/KeyPair.html#method-i-sign_decorated","(message)",""],["signature_base","Stellar::Concerns::Transaction","Stellar/Concerns/Transaction.html#method-i-signature_base","()","<p>Returns the string of bytes that, when hashed, provide the value which should be signed to create a valid …\n"],["signature_base","Stellar::Transaction","Stellar/Transaction.html#method-i-signature_base","()",""],["signature_base","Stellar::TransactionV0","Stellar/TransactionV0.html#method-i-signature_base","()","<p>Backwards Compatibility: Use ENVELOPE_TYPE_TX to sign ENVELOPE_TYPE_TX_V0 we need a Transaction to generate …\n"],["signature_base_prefix","Stellar::FeeBumpTransaction","Stellar/FeeBumpTransaction.html#method-i-signature_base_prefix","()",""],["signature_base_prefix","Stellar::TransactionV0","Stellar/TransactionV0.html#method-i-signature_base_prefix","()",""],["signature_hint","Stellar::KeyPair","Stellar/KeyPair.html#method-i-signature_hint","()",""],["signature_hint","Stellar::SignerKey","Stellar/SignerKey.html#method-i-signature_hint","()",""],["signed_correctly?","Stellar::TransactionEnvelope","Stellar/TransactionEnvelope.html#method-i-signed_correctly-3F","(*key_pairs)","<p>Checks to ensure that every signature for the envelope is a valid signature of one of the provided `key_pairs` …\n"],["signer_key","Stellar::KeyPair","Stellar/KeyPair.html#method-i-signer_key","()",""],["source_account","Stellar::FeeBumpTransaction","Stellar/FeeBumpTransaction.html#method-i-source_account","()",""],["source_account","Stellar::TransactionV0","Stellar/TransactionV0.html#method-i-source_account","()",""],["source_muxed_account","Stellar::TransactionBuilder","Stellar/TransactionBuilder.html#method-i-source_muxed_account","()",""],["switch_for_arm","Stellar::LedgerKey","Stellar/LedgerKey.html#method-c-switch_for_arm","(name)",""],["to_base64","Stellar::Convert","Stellar/Convert.html#method-i-to_base64","(string)",""],["to_d","Stellar::Price","Stellar/Price.html#method-i-to_d","()",""],["to_envelope","Stellar::FeeBumpTransaction","Stellar/FeeBumpTransaction.html#method-i-to_envelope","(*key_pairs)",""],["to_envelope","Stellar::Transaction","Stellar/Transaction.html#method-i-to_envelope","(*key_pairs)",""],["to_envelope","Stellar::TransactionV0","Stellar/TransactionV0.html#method-i-to_envelope","(*key_pairs)",""],["to_f","Stellar::Price","Stellar/Price.html#method-i-to_f","()",""],["to_hex","Stellar::Convert","Stellar/Convert.html#method-i-to_hex","(string)",""],["to_keypair","Stellar::Account","Stellar/Account.html#method-i-to_keypair","()",""],["to_keypair","Stellar::KeyPair","Stellar/KeyPair.html#method-i-to_keypair","()",""],["to_keypair","Stellar::MuxedAccount","Stellar/MuxedAccount.html#method-i-to_keypair","()",""],["to_operations","Stellar::Concerns::Transaction","Stellar/Concerns/Transaction.html#method-i-to_operations","()","<p>Extracts the operations from this single transaction, setting the source account on the extracted operations. …\n"],["to_s","Stellar::Asset","Stellar/Asset.html#method-i-to_s","()",""],["to_s","Stellar::Price","Stellar/Price.html#method-i-to_s","()",""],["to_s","Stellar::SignerKey","Stellar/SignerKey.html#method-i-to_s","()",""],["to_v0","Stellar::Transaction","Stellar/Transaction.html#method-i-to_v0","()",""],["to_v1","Stellar::TransactionV0","Stellar/TransactionV0.html#method-i-to_v1","()",""],["unconditional","Stellar::ClaimPredicate::FactoryMethods","Stellar/ClaimPredicate/FactoryMethods.html#method-i-unconditional","()","<p>Constructs an `unconditional` claim predicate.\n<p>This predicate will be always fulfilled.\n<p>@return [ClaimPredicate] …\n"],["verify","Stellar::KeyPair","Stellar/KeyPair.html#method-i-verify","(signature, message)",""],["with_muxed_accounts?","Stellar::TransactionBuilder","Stellar/TransactionBuilder.html#method-i-with_muxed_accounts-3F","()",""],["|","Stellar::ClaimPredicate","Stellar/ClaimPredicate.html#method-i-7C","(other)",""],["~@","Stellar::ClaimPredicate","Stellar/ClaimPredicate.html#method-i-~-40","()",""],["CHANGELOG","","CHANGELOG_md.html","","<p>Changelog\n<p>All notable changes to this project will be documented in this\nfile. The format is based on ...\n"],["LICENSE","","LICENSE.html","","\n<pre>         Apache License\n   Version 2.0, January 2004\nhttp://www.apache.org/licenses/</pre>\n<p>TERMS AND CONDITIONS …\n"],["README","","README_md.html","","<p>Stellar SDK for Ruby: XDR and Low Level Abstractions\n<p><img src=\"https://badge.fury.io/rb/stellar-base.svg\"> …\n"]]}}